package com.iamberry.wechat.core.entity.order;

import java.util.Date;

/**
 * 更换刷头提示类
 * Created by liuzhiwei on 2017/10/11.
 */
public class OrderHint implements java.io.Serializable{

    private static final long serialVersionUID = -5865274505441810483L;
    private Integer hintId;         //id
    private String orderId;         //订单号
    private String userOpenId;      //openId
    private Integer hintNum;        //已提示次数
    private Date hintTime;          //下次提醒时间
    private Integer hintStatus;     //状态
    private Date hintCreateTime;    //创建时间

    public Integer getHintId() {
        return hintId;
    }

    public void setHintId(Integer hintId) {
        this.hintId = hintId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public Integer getHintNum() {
        return hintNum;
    }

    public void setHintNum(Integer hintNum) {
        this.hintNum = hintNum;
    }

    public Date getHintTime() {
        return hintTime;
    }

    public void setHintTime(Date hintTime) {
        this.hintTime = hintTime;
    }

    public Integer getHintStatus() {
        return hintStatus;
    }

    public void setHintStatus(Integer hintStatus) {
        this.hintStatus = hintStatus;
    }

    public Date getHintCreateTime() {
        return hintCreateTime;
    }

    public void setHintCreateTime(Date hintCreateTime) {
        this.hintCreateTime = hintCreateTime;
    }
}
